#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_alias"
  void Vhdl::set_alias (std::string      name1 ,
			std::string      type1 ,
			std::string      name2 ,
			std::string      range2)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_list(_list_alias, "alias "+ name1+"\t: "+type1+"\tis "+name2+"\t"+range2);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

  void Vhdl::set_alias (std::string      name1 ,
			uint32_t    size1 ,
			std::string      name2 ,
			std::string      range2)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    set_alias(name1, std_logic(size1),name2,range2);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
